org.eclipse.rdf4j.federated.evaluation.union

## Class ParallelUnionOperatorTask

- java.lang.Object
- - org.eclipse.rdf4j.federated.evaluation.concurrent.ParallelTaskBase<BindingSet>
  - - org.eclipse.rdf4j.federated.evaluation.union.ParallelUnionOperatorTask

- All Implemented Interfaces:
    ParallelTask<BindingSet>

      public class ParallelUnionOperatorTask
      extends ParallelTaskBase<BindingSet>

  A task implementation representing a UNION operator expression to be evaluated.
  Author:
    Andreas Schwarte

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected BindingSet` | `bindings`
    `protected TupleExpr` | `expr`
    `protected FederationEvalStrategy` | `strategy`
    `protected ParallelExecutor<BindingSet>` | `unionControl`

    - ### Fields inherited from class org.eclipse.rdf4j.federated.evaluation.concurrent.ParallelTaskBase

      `scheduledFuture`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParallelUnionOperatorTask(ParallelExecutor<BindingSet> unionControl, FederationEvalStrategy strategy, TupleExpr expr, BindingSet bindings)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ParallelExecutor<BindingSet>` | `getControl()` return the controlling instance, e.g.
    `protected CloseableIteration<BindingSet,QueryEvaluationException>` | `performTaskInternal()`

    - ### Methods inherited from class org.eclipse.rdf4j.federated.evaluation.concurrent.ParallelTaskBase

      `cancel, performTask, setScheduledFuture, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.federated.evaluation.concurrent.ParallelTask

      `getQueryInfo`

- - ### Field Detail

    - #### unionControl

          protected final ParallelExecutor<BindingSet> unionControl

    - #### strategy

          protected final FederationEvalStrategy strategy

    - #### expr

          protected final TupleExpr expr

    - #### bindings

          protected final BindingSet bindings

  - ### Constructor Detail

    - #### ParallelUnionOperatorTask

          public ParallelUnionOperatorTask(ParallelExecutor<BindingSet> unionControl,
                                           FederationEvalStrategy strategy,
                                           TupleExpr expr,
                                           BindingSet bindings)

  - ### Method Detail

    - #### getControl

          public ParallelExecutor<BindingSet> getControl()

      Description copied from interface: `ParallelTask`
      return the controlling instance, e.g. in most cases the instance of a thread. Shared variables are used to inform the thread about new events.
      Returns:
        the control executor

    - #### performTaskInternal

          protected CloseableIteration<BindingSet,QueryEvaluationException> performTaskInternal()
                                                                                         throws Exception

      Specified by:
        `performTaskInternal` in class `ParallelTaskBase<BindingSet>`
      Throws:
        `Exception`

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.